Package fr.gouv.vitam.functional.administration.core.griffin

# Class PreservationScenarioReport

java.lang.Object
fr.gouv.vitam.functional.administration.core.griffin.PreservationScenarioReport

public class PreservationScenarioReport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationScenarioReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAddedIdentifier(String identifier)`
  `void`
  `addRemovedIdentifiers(String identifier)`
  `Set<String>`
  `getAddedIdentifiers()`
  `FunctionalOperationModel`
  `getOperation()`
  `Set<String>`
  `getRemovedIdentifiers()`
  `StatusCode`
  `getStatusCode()`
  `Map<String,List<String>>`
  `getUpdatedIdentifiers()`
  `void`
  `setNewScenariosCreationDate(String newScenariosCreationDate)`
  `void`
  `setNewScenariosVersion(String newScenariosVersion)`
  `PreservationScenarioReport`
  `setOperation(FunctionalOperationModel operation)`
  `void`
  `setPreviousScenariosCreationDate(String previousScenariosCreationDate)`
  `PreservationScenarioReport`
  `setStatusCode(StatusCode statusCode)`
  `void`
  `setUpdatedIdentifiers(Map<String,List<String>> updatedIdentifiers)`
  `void`
  `setWarnings(List<String> warnings)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreservationScenarioReport

    public PreservationScenarioReport()

- ## Method Details

  - ### getOperation

    public FunctionalOperationModel getOperation()

  - ### setOperation

    public PreservationScenarioReport setOperation(FunctionalOperationModel operation)

  - ### getStatusCode

    public StatusCode getStatusCode()

  - ### setStatusCode

    public PreservationScenarioReport setStatusCode(StatusCode statusCode)

  - ### getRemovedIdentifiers

    public Set<String> getRemovedIdentifiers()

  - ### addRemovedIdentifiers

    public void addRemovedIdentifiers(String identifier)

  - ### getAddedIdentifiers

    public Set<String> getAddedIdentifiers()

  - ### addAddedIdentifier

    public void addAddedIdentifier(String identifier)

  - ### getUpdatedIdentifiers

    public Map<String,List<String>> getUpdatedIdentifiers()

  - ### setPreviousScenariosCreationDate

    public void setPreviousScenariosCreationDate(String previousScenariosCreationDate)

  - ### setNewScenariosVersion

    public void setNewScenariosVersion(String newScenariosVersion)

  - ### setNewScenariosCreationDate

    public void setNewScenariosCreationDate(String newScenariosCreationDate)

  - ### setUpdatedIdentifiers

    public void setUpdatedIdentifiers(Map<String,List<String>> updatedIdentifiers)

  - ### setWarnings

    public void setWarnings(List<String> warnings)